unit Unit3;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, ExtCtrls, Math,
  StdCtrls, Eingabe, Dialogs, LCLType, Graphics;

type

  { TFrame1 }

  TFrame1 = class(TFrame)
    Edit1: TEdit;
    Timer1: TTimer;
    procedure Edit1KeyPress(Sender: TObject; var Key: char);
    procedure Edit1KeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure Timer1Timer(Sender: TObject);
  private
    AOwner: TComponent;
  public
    constructor Create(AOwner1: TComponent); override;
    destructor Destroy; override;
    procedure FBLoe;
  end;

implementation

{$R *.lfm}

uses Unit1, Unit2;

{ TFrame1 }

procedure TFrame1.Edit1KeyPress(Sender: TObject; var Key: char);
begin
  itaste:=Key;
  FeldEingabe(Edit1);
  Key:=itaste;
end;

procedure TFrame1.Edit1KeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
  Shift:=Shift;
  if ((istell = ilanmax) and (ord(itaste) > 0) and (iautocr = 1)) then
  begin
    Key:=ord(chr(13));
  end;
  if ord(Key) = 13 then
  begin
    istell:=0;
    Edit1.Enabled:=False;
    Edit1.ReadOnly:=True;
    Edit1.TabStop:=False;
    Edit1.Color:=$00C0C0C0;
    text1:=Edit1.Text;
    Form2.Frame1Close;
  end;
end;

procedure TFrame1.Timer1Timer(Sender: TObject);
begin
  Timer1.Enabled:=False;
  FBLoe;
  Edit1.Enabled:=True;
  Edit1.ReadOnly:=False;
  Edit1.TabStop:=True;
  Edit1.Color:=$0080FFFF;
  Edit1.Text:='';
  ialpha:='';
  inummer:=0;
  iart:=2;
  inumkom:=0;
  ikomma:=0;
  izeich:=3;
  istell:=0;
  ifunc:=5;
  ilanmax:=25;
  ilanmin:=1;
  iautocr:=1;
  TEdit(Edit1).SetFocus;
end;

procedure TFrame1.FBLoe;
begin
  Edit1.Enabled:=False;
  Edit1.ReadOnly:=True;
  Edit1.TabStop:=False;
  Edit1.Color:=$00C0C0C0;
  Edit1.Text:='';
end;

constructor TFrame1.Create(AOwner1: TComponent);
begin
  inherited Create(AOwner);
  AOwner1:=AOwner1;
  self.Edit1.Enabled:=False;
  self.Edit1.ReadOnly:=True;
  self.Edit1.TabStop:=False;
  self.Edit1.Color:=$00C0C0C0;
  self.Edit1.Text:='';
  Timer1.Enabled:=True;
end;

destructor TFrame1.Destroy;
begin
  AOwner.Free;
  inherited Destroy;
end;

end.

